Bug 1284206 (kscreenlocker) - Review Request: kscreenlocker - Library and components for secure lock screen architecture
Summary: Review Request: kscreenlocker - Library and components for secure lock screen...
Keywords:
Status: CLOSED RAWHIDE
Alias: kscreenlocker
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews plasma5
TreeView+ depends on / blocked
 
Reported: 2015-11-21 23:27 UTC by Daniel Vrátil
Modified: 2015-11-25 12:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-25 12:49:04 UTC
jgrulich: fedora-review+


Attachments (Terms of Use)

Description Daniel Vrátil 2015-11-21 23:27:44 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kscreenlocker.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kscreenlocker-5.4.90-1.fc23.src.rpm
Description: Library and components for secure lock screen architecture
Fedora Account System Username: dvratil

Comment 1 Jan Grulich 2015-11-24 09:10:20 UTC
Rpmlint:
---------
kscreenlocker.src: W: invalid-url URL: https://projects.kde.org/projects/kde/workspace/kscreenlocker HTTP Error 502: Bad Gateway
kscreenlocker.src:39: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 39)
kscreenlocker.src: W: invalid-url Source0: http://download.kde.org/unstable/plasma/5.4.90/kscreenlocker-5.4.90.tar.xz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ the url is correct, it's just not public
- the warning about mixed use of spaces and tabs should be fixex, but it's not a blocking issue

Licensecheck:
--------------
+ all the files seems to be GPLv2


I couldn't run more tests becase fedora-review is somehow broken, but it looks good. Approved.

Comment 2 Gwyn Ciesla 2015-11-24 16:45:39 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/kscreenlocker

Comment 3 Daniel Vrátil 2015-11-25 12:49:04 UTC
Imported and built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.